Fandom

CHDK Wiki

Talk:A1100IS

Back to page

598pages on
this wiki
Add New Page

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.

I've got a newer firmware: ver.req - I tried switching the output format to PAL and it made no difference. I have firmware GM1.00C:

Canon PowerShot A1100 IS
P-ID:31C3 NT D
FirmWare Ver GM1.00C
NoError
Apr 24 2009 19:12:45

After another press, I have 4.011:

Adj Ver.004.011

The third and fourth screens are the same as everyone else's:

IS Firm Ver. 2.11
IS Param Ver. 2.07
Driver Info: 0x00000000

With vers.req I get:

Canon PowerShot A1100 IS
P-ID:31C3 NT D
FirmWare Ver GM1.00C
NoError
Apr 24 2009 19:12:45

Second press (4.011):

Adj Ver.004.011

Third press (shoot count):

Adj Ver.004.011
Total shoot: 2
Zoom retry count: 0
Mecha Condition: 0x00000000

Fourth press:

Driver Info: 0x00000000

--Dch24 19:29, November 6, 2009 (UTC)


I'm trying to install udumper with this shell script:

#!/bin/bash
if [ -z "$1" ]; then
        if ! which hdiutil >/dev/null 2>&1; then
                echo "Please specify which partition to modify"
                echo "  for example: $0 /dev/sdh1"
                exit 1
        fi
        # hdiutil is a Mac OS utility - we can auto-detect the partition
        if ! mount >/dev/null 2>&1; then
                echo "cannot run mount:"
                mount
                exit 1
        fi
        if ! mount | grep -q UD_; then
                echo "Please format a FAT-16 partition and name it UD_something"
                exit 1
        fi
        PART="`mount | sed -e '/UD_/s/^\([^ ]*\) .*/\1/p;d'`"
        echo "Checking ${PART}..."
        if ! hdiutil unmount "$PART"; then
                echo "Failed to unmount $PART"
                exit 1
        fi
else
        echo "Reading partition $1:"
        PART=$1
fi
if ! dd if=$PART bs=1 count=8 iseek=54 >/dev/null 2>&1; then
        echo "Failed to read partition type from $PART"
        if which hdiutil >/dev/null 2>&1; then
                hdiutil mount "$PART" # at least try to re-mount it
        fi
        exit 1
fi
PTYPE="`dd if=$PART bs=1 count=8 iseek=54 2>/dev/null | \
        hexdump -e '8/1 "%02x "'`"
r=$?
if [ "$r" != "0" ]; then
        echo "Failed to decode partition type"
        if which hdiutil >/dev/null 2>&1; then
                hdiutil mount "$PART" # at least try to re-mount it
        fi
        exit 1
fi
if [ "$PTYPE" != "46 41 54 31 36 20 20 20" ]; then
        echo "Partition type is not FAT16 - abort"
        if which hdiutil >/dev/null 2>&1; then
                hdiutil mount "$PART" # at least try to re-mount it
        fi
        exit 1
fi
echo "Modifying boot sector on partition $PART ... THIS IS DANGEROUS!"
echo -n "Press CTRL-C now to quit (or press ENTER if you are sure) : "
read
# offset 43 (0x2b, volume label), write "EOS_DEVELOP"
echo -n "EOS_DEVELOP" | dd of=$PART bs=1 oseek=43
# offset 64 (0x40), write "BOOTDISK"
echo -n "BOOTDISK" | dd of=$PART bs=1 oseek=64
if which hdiutil >/dev/null 2>&1; then
        echo "Mounting $PART again:"
        hdiutil mount "$PART"
fi


This is what the boot sector of a 128 Meg card looked like before:

00000000  eb 3c 90 42 53 44 20 20  34 2e 34 00 02 04 01 00  |.<.BSD  4.4.....|
00000010  02 00 02 00 00 f0 f5 00  20 00 10 00 00 00 00 00  |........ .......|
00000020  b3 d3 03 00 00 00 29 0a  14 ca 48 55 44 5f 44 52  |......)...HUD_DR|
00000030  59 4f 53 20 20 20 46 41  54 31 36 20 20 20 fa 31  |YOS   FAT16   .1|
00000040  c0 8e d0 bc 00 7c fb 8e  d8 e8 00 00 5e 83 c6 19  |.....|......^...|
00000050  bb 07 00 fc ac 84 c0 74  06 b4 0e cd 10 eb f5 30  |.......t.......0|
00000060  e4 cd 16 cd 19 0d 0a 4e  6f 6e 2d 73 79 73 74 65  |.......Non-syste|
00000070  6d 20 64 69 73 6b 0d 0a  50 72 65 73 73 20 61 6e  |m disk..Press an|
00000080  79 20 6b 65 79 20 74 6f  20 72 65 62 6f 6f 74 0d  |y key to reboot.|
00000090  0a 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
000000a0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
000001f0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 55 aa  |..............U.|
00000200

and after I ran this script:

00000000  eb 3c 90 42 53 44 20 20  34 2e 34 00 02 04 01 00  |.<.BSD  4.4.....|
00000010  02 00 02 00 00 f0 f5 00  20 00 10 00 00 00 00 00  |........ .......|
00000020  b3 d3 03 00 00 00 29 0a  14 ca 48 45 4f 53 5f 44  |......)...HEOS_D|
00000030  45 56 45 4c 4f 50 46 41  54 31 36 20 20 20 fa 31  |EVELOPFAT16   .1|
00000040  42 4f 4f 54 44 49 53 4b  d8 e8 00 00 5e 83 c6 19  |BOOTDISK....^...|
00000050  bb 07 00 fc ac 84 c0 74  06 b4 0e cd 10 eb f5 30  |.......t.......0|
00000060  e4 cd 16 cd 19 0d 0a 4e  6f 6e 2d 73 79 73 74 65  |.......Non-syste|
00000070  6d 20 64 69 73 6b 0d 0a  50 72 65 73 73 20 61 6e  |m disk..Press an|
00000080  79 20 6b 65 79 20 74 6f  20 72 65 62 6f 6f 74 0d  |y key to reboot.|
00000090  0a 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
000000a0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
000001f0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 55 aa  |..............U.|
00000200

--Dch24 20:38, November 6, 2009 (UTC)

Also on Fandom

Random Wiki